blob: aa0a29b120f616d8512a48a1137f4b6e69f25c10 [file] [log] [blame]
niranjan.reddy0e1547a2016-02-15 20:10:03 +05301#!/bin/sh
2#
3# Set up cgroupfs mounts.
4#
5
6start() {
7 printf "Mounting cgroupfs hierarchy: "
8 /usr/bin/cgroupfs-mount
9 [ $? = 0 ] && echo "OK" || echo "FAIL"
10}
11stop() {
12 printf "Unmounting cgroupfs hierarchy: "
13 /usr/bin/cgroupfs-umount
14 [ $? = 0 ] && echo "OK" || echo "FAIL"
15}
16restart() {
17 stop
18 start
19}
20
21case "$1" in
22 start)
23 start
24 ;;
25 stop)
26 stop
27 ;;
28 restart|reload)
29 restart
30 ;;
31 *)
32 echo "Usage: $0 {start|stop|restart}"
33 exit 1
34esac